# $Id: perl-libintl.spec 2984 2005-03-10 04:45:44Z dag $
# Authority: matthias

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name libintl-perl

Summary: Internationalization library for Perl, compatible with gettext
Name: perl-libintl
Version: 1.16
Release: 1.rf
License: LGPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/libintl-perl/
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Locale/libintl-perl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl
Provides: perl-libintl-perl = %{version}-%{release}
Provides: perl(Locale::gettext_xs)
BuildArch: noarch

%description
The package libintl-perl is an internationalization library for Perl that
aims to be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.


%prep
%setup -n libintl-perl-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING* NEWS README THANKS TODO
%{perl_vendorlib}/Locale/
%{_mandir}/man?/*


%changelog
* Fri Mar 30 2007 Dag Wieers <dag@wieers.com> - 1.16-1 - 2984+/dag
- Updated to release 1.16.

* Tue Nov  9 2004 Matthias Saou <http://freshrpms.net/> 1.11-2
- Fix : Added perl(Locale::gettext_xs) provides.

* Thu Nov  4 2004 Matthias Saou <http://freshrpms.net/> 1.11-1
- Initial RPM release.

